将实数(双精度)值转换为字符串。 支持的平台:仅窗口 签名工 务 局: RetVal = object.RealToString(Value, Unit, Precision)
返回值(RetVal)类型:字符串 格式正确的字符串形式的值。 言论没有额外的评论。 例子工 务 局: Sub Example_RealToString() ' This example converts values in a given format to their string equivalents. Dim unit As Long Dim valueAsStr As String Dim precision As Integer Dim valueAsReal As Double precision = 6 ' Convert a real value 17.5 using Scientific mode to a String unit = acScientific valueAsStr = ThisDrawing.Utility.RealToString(17.5, unit, precision) MsgBox "17.5 in scientific format is " & valueAsStr, , "RealToString Example" ' Convert a real value 17.5 using Decimal mode to a String unit = acDecimal valueAsStr = ThisDrawing.Utility.RealToString(17.5, unit, precision) MsgBox "17.5 in decimal format is " & valueAsStr, , "RealToString Example" ' Convert a real value 17.5 using Engineering mode to a String unit = acEngineering valueAsStr = ThisDrawing.Utility.RealToString(17.5, unit, precision) MsgBox "17.5 in engineering format is " & valueAsStr, , "RealToString Example" ' Convert a real value 17.5 using Architectural mode to a String unit = acArchitectural valueAsStr = ThisDrawing.Utility.RealToString(17.5, unit, precision) MsgBox "17.5 in architectural format is " & valueAsStr, , "RealToString Example" ' Converts a real value 17.5 using fractional mode to a String unit = acFractional valueAsStr = ThisDrawing.Utility.RealToString(17.5, unit, precision) MsgBox "17.5 in fractional format is " & valueAsStr, , "RealToString Example" End Sub Visual LISP: (vl-load-com) (defun c:Example_RealToString() ;; This example converts values in a given format to their string equivalents. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq precision 6) ;; Convert a real value 17.5 using Scientific mode to a String (setq valueAsStr (vla-RealToString (vla-get-Utility doc) 17.5 acScientific precision)) (alert (strcat "17.5 in scientific format is " valueAsStr)) ;; Convert a real value 17.5 using Decimal mode to a String (setq valueAsStr (vla-RealToString (vla-get-Utility doc) 17.5 acDecimal precision)) (alert (strcat "17.5 in decimal format is " valueAsStr)) ;; Convert a real value 17.5 using Engineering mode to a String (setq valueAsStr (vla-RealToString (vla-get-Utility doc) 17.5 acEngineering precision)) (alert (strcat "17.5 in engineering format is " valueAsStr)) ;; Convert a real value 17.5 using Architectural mode to a String (setq valueAsStr (vla-RealToString (vla-get-Utility doc) 17.5 acArchitectural precision)) (alert (strcat "17.5 in architectural format is " valueAsStr)) ;; Converts a real value 17.5 using fractional mode to a String (setq valueAsStr (vla-RealToString (vla-get-Utility doc) 17.5 acFractional precision)) (alert (strcat "17.5 in fractional format is " valueAsStr)) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:49
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.